dracut/dracut-026-lsinitrd.patch

40 lines
1.0 KiB
Diff
Raw Normal View History

--- a/lsinitrd.sh
+++ b/lsinitrd.sh
@@ -54,23 +54,23 @@ if [[ "$1" ]]; then
usage
exit 1
fi
-fi
-
-[[ -f /etc/machine-id ]] && read MACHINE_ID < /etc/machine-id
-
-if [[ $MACHINE_ID ]] && ( [[ -d /boot/${MACHINE_ID} ]] || [[ -L /boot/${MACHINE_ID} ]] ); then
- image="/boot/${MACHINE_ID}/${KERNEL_VERSION}/initrd"
else
- image="/boot/initramfs-${KERNEL_VERSION}.img}"
-fi
+ [[ -f /etc/machine-id ]] && read MACHINE_ID < /etc/machine-id
-if ! [[ -f "$image" ]]; then
- {
+ if [[ $MACHINE_ID ]] && ( [[ -d /boot/${MACHINE_ID} ]] || [[ -L /boot/${MACHINE_ID} ]] ); then
+ image="/boot/${MACHINE_ID}/${KERNEL_VERSION}/initrd"
+ else
+ image="/boot/initramfs-${KERNEL_VERSION}.img"
+ fi
+
+ if ! [[ -f "$image" ]]; then
+ {
echo "No <initramfs file> specified and the default image '$image' cannot be accessed!"
echo
- } >&2
- usage
- exit 1
+ } >&2
+ usage
+ exit 1
+ fi
fi
CAT=zcat